Subject: Re: Improving R6RS exception handling in Guile

From: Göran Weinholt <[email-masked]>
Date: Thu, 15 Aug 2013 12:50:09 +0200

Mark H Weaver <[email-masked]> writes:

> Hello all,
>
> I've cooked up a patch to help improve R6RS exception handling in Guile.
>
> As noted by Göran Weinholt in <http://bugs.gnu.org/14922>, the R6RS
> exception handlers in Guile are currently unable to catch native Guile
> exceptions.  To fix this, the basic approach of this patch is to convert
> native Guile exceptions into R6RS conditions within the R6RS exception
> handlers.
[...]
> I'd be grateful for any feedback.

I think it's the right approach to take. I've tested the patch a little
and it's an improvement over the current state of affairs.

Regards,

-- 
Göran Weinholt <[email-masked]>
"What's worse than clowns? Danish clowns."
  -- Mystery Science Theatre 3000